import request from '@/utils/request'

// 查询评论列表
export function listStoreProductReply(query) {
  return request({
    url: '/store/storeProductReply/list',
    method: 'get',
    params: query
  })
}

// 查询评论详细
export function getStoreProductReply(id) {
  return request({
    url: '/store/storeProductReply/' + id,
    method: 'get'
  })
}

// 新增评论
export function addStoreProductReply(data) {
  return request({
    url: '/store/storeProductReply',
    method: 'post',
    data: data
  })
}
export function replyStoreProductReply(data) {
  return request({
    url: '/store/storeProductReply/reply',
    method: 'post',
    data: data
  })
}



// 修改评论
export function updateStoreProductReply(data) {
  return request({
    url: '/store/storeProductReply',
    method: 'put',
    data: data
  })
}

// 删除评论
export function delStoreProductReply(id) {
  return request({
    url: '/store/storeProductReply/' + id,
    method: 'delete'
  })
}

// 导出评论
export function exportStoreProductReply(query) {
  return request({
    url: '/store/storeProductReply/export',
    method: 'get',
    params: query
  })
}
